Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse.model
[Groovy] Class AbstractLibrary

    java.lang.Object
      org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry
          org.gradle.plugins.ide.eclipse.model.AbstractLibrary

    abstract class AbstractLibrary
    extends AbstractClasspathEntry

Authors:
  Hans Dockter

Property Summary
`java.lang.String` | `sourcePath`

Constructor Summary
`AbstractLibrary(groovy.util.Node node)`
`AbstractLibrary(java.lang.String path, boolean exported, java.lang.String nativeLibraryLocation, java.util.Set accessRules, java.lang.String sourcePath, java.lang.String javadocPath)`

Method Summary
`void` | `appendNode(groovy.util.Node node)`
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getJavadocPath()`
`int` | `hashCode()`
`void` | `setJavadocPath(java.lang.String path)`
`java.lang.String` | `toString()`

Methods inherited from class AbstractClasspathEntry
addClasspathEntry, appendNode, equals, getNativeLibraryLocation, hashCode, normalizePath, setNativeLibraryLocation, toString, writeEntryAttributes

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### sourcePath

    java.lang.String sourcePath

Constructor Detail

### AbstractLibrary

    AbstractLibrary(groovy.util.Node node)

### AbstractLibrary

    AbstractLibrary(java.lang.String path, boolean exported, java.lang.String nativeLibraryLocation, java.util.Set accessRules, java.lang.String sourcePath, java.lang.String javadocPath)

Method Detail

### appendNode

    void appendNode(groovy.util.Node node)

### equals

    boolean equals(java.lang.Object o)

### getJavadocPath

    java.lang.String getJavadocPath()

### hashCode

    int hashCode()

### setJavadocPath

    void setJavadocPath(java.lang.String path)

### toString

    java.lang.String toString()

Groovy Documentation